void renderTransformComponent(any@ data) {
    Entity entity;
    data.retrieve(entity);

    TransformComponent transform = entity.transform;
    vec3 position = transform.position;
    vec3 scale = transform.scale;
    vec3 rotation = transform.rotation;

    transform.position = magicSlider3("Posiiton", position, 0.1);
    transform.scale = magicSlider3("Scale", scale, 0.1);
    transform.rotation = magicSlider3("Rotation", rotation, 0.1);
}

void renderMeshComponent(any@ data) {
    Entity entity;
    data.retrieve(entity);

    MeshComponent meshComponent = entity.getMeshComponent();

    if (meshComponent.hasMesh) {
        meshComponent.isActive = checkbox("Active", meshComponent.isActive);
    } else {
        checkboxDisabled("Active", meshComponent.isActive);
    }

    space();

    drawIcon("object3d", 64);

    dragDropTarget("MESH", any(meshComponent), setMeshComponentMesh);

    sameline();
    titleCenterY("Mesh Name", 64);
    dragDropTarget("MESH", any(meshComponent), setMeshComponentMesh);
    

}

void setMeshComponentMesh(any@ meshComponent_data, any@ mesh_data){
    string mesh;
    mesh_data.retrieve(mesh);

    MeshComponent meshComponent;
    meshComponent_data.retrieve(meshComponent);

    print(mesh);
    meshComponent.setMesh(mesh);
}